<?php
/*
Template Name: Blog
*/
$pages = $wp_query->max_num_pages;
$layout = get_post_meta($post->ID, "page_layout", true);
$header_gradient = get_post_meta( $post->ID , "header_gradient", true);
$title_shadow = get_post_meta( $post->ID , "post_text_shadow", true);
$show_excerpts = get_option( 'ocmx_show_excerpts' );
get_header(); ?>

<?php  while ( have_posts() ) : the_post(); ?>
<div class="title-container <?php if( 'yes' ==  $title_shadow ) echo 'has-text-shadow'; ?>">
	<div class="title <?php if( 'no' ==  $header_gradient ) echo 'no-gradient'; ?>">
		<a href="#grid" class="scroll"><h2 class="post-title typography-title"><?php the_title(); ?></h2></a>
		<?php if( $post->post_excerpt != ''  ) { echo '<h3 class="sub-title">' . get_the_excerpt() . '</h3>';} ?>
	</div>
</div>
<?php endwhile; ?>

<ul id="grid" class="<?php echo $layout; ?> post-list opacity_zero">
	<?php  $args = array( "post_type" => "post", "paged" => $paged );
		$wp_query = new WP_Query($args);
		while ( $wp_query->have_posts() ) : $wp_query->the_post();
			global $post;
			get_template_part("/functions/post-list");
		endwhile; ?>
</ul>

<?php if (function_exists("obox_pagination")) {
    obox_pagination($wp_query->max_num_pages);
} ?>

<?php get_footer(); ?>