<?php // Get the terms
$terms = get_terms("portfolio-category", "orderby=title&hide_empty=0&parent=0");

if( is_tax( 'portfolio-category' )  ) {
    $activeterm = get_term_by( 'slug', get_query_var('term' ), get_query_var( 'taxonomy' ) );
} ?>

<ul class="portfolio-categories">
    <?php if( is_tax( 'portfolio-category' ) && !is_home()) {
        $parentpage = get_template_link("portfolio.php"); ?>
        <li><a href="<?php echo get_permalink($parentpage->ID); ?>"><?php _e("All", "ocmx"); ?></a></li>
    <?php } if(is_home()) { ?>
        <li><a href="<?php echo home_url(); ?>"><?php _e("All", "ocmx"); ?></a></li>
        
    <?php } foreach($terms as $term) : ?>
        <li <?php if( !is_tax('portfolio-category') ) echo 'data-filter="' . $term->slug .'"'; ?>>
            <a href="<?php echo get_term_link($term->slug, "portfolio-category"); ?>" <?php if( isset( $activeterm ) && $activeterm->slug == $term->slug ) echo 'class="selected"'; ?>>
                <?php echo $term->name; ?>
            </a>
        </li>
    <?php endforeach; ?>
</ul>