<?php global $layout, $show_excerpts, $excerpt_length, $more;
if(is_home()) $show_excerpts = get_option('ocmx_show_portfolio_excerpts');

	$link = get_permalink($post->ID);

	if($layout == "two-column") :
		$width = 980;
		$height = 735;
		$resizer = '4-3-large';
	else :
		$width = 660;
		$height = 495;
		$resizer = '4-3-medium-nocrop';
	endif;

	if($layout == 'two-column')
		$exclude_video = 0;
	else
		$exclude_video = 1;

	// Build up the term classes
	$terms = wp_get_post_terms( $post->ID , 'portfolio-category' );
	$term_list = array();
	if( !empty( $terms ) ) {
		foreach( $terms as $term ){
			$term_list[] = $term->slug;
		}
	}

	$more = 0;
	$args  = array( 'postid' => $post->ID, 'width' => $width, 'height' => $height, 'hide_href' => false, 'exclude_video' => $exclude_video, 'wrap' => 'div', 'wrap_class' => 'post-image fitvid', 'resizer' => $resizer);
	$image = get_obox_media($args);

	?>

<li id="post-<?php the_ID(); ?>" <?php post_class('post clearfix ' . implode( ' ' , $term_list ) ); ?>>
	<?php if($image !="") { echo $image; } ?>
    <?php if($show_excerpts =='yes') { ?>
	<div class="content">

		<h2 class="post-title typography-title"><a href="<?php the_permalink(); ?>" <?php if( isset( $header_inline_style ) ) echo $header_inline_style; ?>><?php the_title(); ?></a></h2>

			<?php if( has_excerpt($post->ID)  ) : ?>
				<div class="excerpt" <?php if( isset( $header_inline_style ) ){ echo $header_inline_style; } ?>><?php the_excerpt($post->ID); ?></div>
			<?php elseif( strstr($post->post_content,'<!--more-->') ) : ?>
				<div class="excerpt" <?php if( isset( $header_inline_style ) ){ echo $header_inline_style; }?>><?php the_content(''); ?>
                <a class="action-link" href="<?php echo $link; ?>"><?php _e("Read More","ocmx"); ?></a></div>
			<?php endif; // Only show the excerpt if we have one to show?>

	</div>
    <?php } // if no != ocmx_show_excerpts ?>
</li>