<?php $layout = get_option('ocmx_list_page_layout');
global $post;
get_header(); ?>

<?php if( is_category() ) {
	$term = get_term_by( 'slug', get_query_var('category' ), 'category' ); ?>
	<div class="title-container">
        <div class="title">
            <h2 class="post-title typography-title"><?php single_cat_title(); ?></h2>
            <?php echo category_description(); ?>
        </div>
	</div>
<?php } elseif( is_author() ) { ?>
	<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); setup_postdata($post); ?>
			<div class="author-title-container">
				<div class="author-image">
					<?php echo get_avatar( get_the_author_meta('ID') , '100');  ?>
				</div>
				<div class="author-body">
					<h2 class="author-name"><?php _e('Written by ', 'ocmx'); ?> <?php the_author(); ?></h2>
					<p><?php the_author_meta('user_description'); ?></p>
				</div>
			</div>
	<?php break;
	endwhile;
	endif;
	rewind_posts(); ?>
<?php } ?>


<ul class="<?php echo $layout; ?> post-list opacity_zero">
	<?php if ( have_posts() ) :
		while ( have_posts() ) : the_post(); setup_postdata($post);
			get_template_part("/functions/post-list");
		endwhile;
	else :
		get_template_part("/functions/post-empty");
	endif; ?>
	</ul>

<?php if (function_exists("obox_pagination")) {
    obox_pagination();
} ?>

<?php get_footer(); ?>