<?php global $post, $layout, $show_excerpts, $more;
if(is_home()) $show_excerpts = get_option('ocmx_show_blog_excerpts');
if($layout == "two-column") :
		$width = 980;
		$height = 735;
		$resizer = '4-3-large';
	else :
		$width = 660;
		$height = 495;
		$resizer = '4-3-medium-nocrop';
	endif;
	
	if($layout == 'two-column')
		$exclude_video = false;
	else
		$exclude_video = true;
		
$more = 0;	
	
// Featued post image
$args  = array( 'postid' => $post->ID, 'width' => $width, 'height' => $height, 'hide_href' => false, 'exclude_video' => $exclude_video, 'wrap' => 'div', 'wrap_class' => 'post-image fitvid', 'resizer' => $resizer);
$image = get_obox_media($args); 
	
$link = get_permalink($post->ID); 
$category = get_option("ocmx_meta_category");
$comments_link = get_option("ocmx_meta_comments_link");
$date = get_option( "ocmx_meta_date" );
$author_link = get_option( "ocmx_meta_author" ); ?>
<li id="post-<?php the_ID(); ?>" <?php post_class('post clearfix'); ?>>

	<?php if( '' != $image ) echo $image; ?>

	<div class="content">
    	<?php if($category != "false" ){ ?><h3 class="post-category"><?php the_category(", "); ?></h3><?php } ?>
		<h2 class="post-title typography-title"><a href="<?php the_permalink(); ?>" <?php if( isset( $header_inline_style ) ) echo $header_inline_style; ?>><?php the_title(); ?></a></h2>

		
		<?php if( 'no' != $show_excerpts ) { ?>
			<?php if( has_excerpt($post->ID) ) { ?>
				<div class="excerpt" <?php if( isset( $header_inline_style ) ) echo $header_inline_style; ?>><?php the_excerpt(); ?></div>
			<?php } elseif( strstr($post->post_content,'<!--more-->') ) { ?>
				<div class="excerpt" <?php if( isset( $header_inline_style ) ) echo $header_inline_style; ?>><?php the_content(''); ?>
                <a class="action-link" href="<?php echo $link; ?>"><?php _e("Read More","ocmx"); ?></a></div>
			<?php } else { // Only show the excerpt if we have one to show?>
            	<div class="excerpt" <?php if( isset( $header_inline_style ) ) echo $header_inline_style; ?>><?php the_excerpt(); ?></div>
		<?php } }// if no != ocmx_show_excerpts ?>
        <?php if( $author_link != "false" || $date !="false") { ?>
			<div class="post-meta" <?php if( isset( $header_inline_style ) )  { echo $header_inline_style; } ?>>
                <span class="post-author">
                    <?php if( $author_link  != "false" )  { _e("By ", "ocmx"); the_author_posts_link(); } ?>
                    <?php if( $date  != "false" )  { _e("on " , "ocmx" );  the_time( get_option( 'date_format' ) ); } ?>
                </span>
                <span class="comments-link">
					<?php if( $comments_link != "false" ){ ?>
                        <a href="<?php echo $link; ?>#comments" class="comment-count"><?php comments_number(__("  0 Comments","ocmx"), __("  1 Comment","ocmx"), __( "  % Comments","ocmx") );?></a>
                    <?php } ?>
            	</span>
			</div>
		<?php } //Hide the author unless enabled in Theme Options ?>
        	
	</div>

</li>