<?php function obox_pagination($pages = '', $range = 4)
{  
     $showitems = ($range * 2)+1;  

     global $paged;
     if(empty($paged)) $paged = 1;

     if($pages == '')
     {
         global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
     }   

     if(1 != $pages)
     {
         echo '<ul class="pagination">';
         if($paged > 2 && $paged > $range+1 && $showitems < $pages) 
		 	echo '<li><a href="'.get_pagenum_link(1).'">'.__("&laquo; First", "ocmx").'</a></li>';
         if($paged > 1 && $showitems < $pages) 
		 	echo '<li><a href="'.get_pagenum_link($paged - 1).'">'.__("&lsaquo; Previous","ocmx").'</a></li>';

         for ($i=1; $i <= $pages; $i++)
         {
             if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
             {
                 echo ($paged == $i)? "<li class=\"current\">".$i."</li>":"<li><a href='".get_pagenum_link($i)."' class=\"inactive\">".$i."</a></li>";
             }
         }

         if ($paged < $pages && $showitems < $pages) 
		 	echo '<li><a href="'.get_pagenum_link($paged + 1).'">'.__("Next &rsaquo;","ocmx").'</a></li>';  
         if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) 
		 	echo '<li><a href="'.get_pagenum_link($pages).'">'.__("Last &raquo;", "ocmx").'</a></li>';
         	
		echo '<li><span class="page-count">Page '.$paged.' of '.$pages.'</span></li>';
		echo '</ul>';
     }
}
?>